<?php

$title = "ARDI - ".$companyname;

require_once($basefolder.'/include/tmpl.php');

?>
Configure();
<?php

SS('onload');

T('header-basic','title='.$title);

ST('section','class=content');
	ST('row');
		ST('full');?>
			<div style="width: 100%; background-color: white; border-radius: 5px; padding: 5px; border: 1px solid black; position: relative; top: 0px;" id="imagehost">
<?php			
				$vv = file_get_contents($sitefolder.'/media/layouts/5/2.svg');
				$vv = str_replace("800px","100%",$vv);
				$vv = str_replace("stroke-width=\"0.5\"","stroke-width=\"0.1\"",$vv);
				
				$vv = str_replace("<svg","<svg style=\"border: 1px solid black;\"",$vv);
				
				$ps = strpos($vv,"viewbox=\"");
				if ($ps !== FALSE)
				{
					$pse = strpos($vv,"\"",$ps+9);
					$dimensions = substr($vv,$ps+9,($pse - $ps)-9);
					echo '<!-- '.$dimensions.' -->';
				}
				else
				{
					$dimensions = "0 0 0 0";
				}
				echo $vv;
				?>
				<div style="position: absolute; top: 10px; right: 10px; width: 200px; height: 300px; background-color: green; font-weight: bold; color: white; padding: 3px;" id="status">
					Mouse Position: None
				</div>
			</div>
<?php	ET();
	ET();
ET();

$bits = explode(' ',$dimensions);

$width = $bits[2] - $bits[0];
$height = $bits[3] - $bits[1];

?>
<script>

var vbx = <?php echo $bits[0];?>;
var vby = <?php echo $bits[1];?>;
var vbw = <?php echo $bits[2];?>;
var vbh = <?php echo $bits[3];?>;
var zoomlevel = 1;
var mousex = 0;
var mousey = 0;
var mousedown = false;
var mousefunction = 0;
var timing = 0;
var tmr = 0;

function ZoomInOn(pointx,pointy,factor)
{
	zoomlevel = zoomlevel * factor;
	var newwidth = (<?php echo $width; ?> / zoomlevel);
	var newheight = (<?php echo $height; ?> / zoomlevel);
	
	var scxp = (pointx - vbx) / vbw;
	var scyp = (pointy - vby) / vbh;
	
	//OK - the trick here is to make sure that the point under the mouse cursor is in the same position
	//  AFTER the transformation....
	
	vbx = (pointx - newwidth) + (newwidth - (scxp * newwidth));
	vby = (pointy - newheight) + (newheight- (scyp * newheight));
	vbw = newwidth;
	vbh = newheight;
	
	$('#imagehost svg')[0].setAttribute('viewBox',vbx + " " + vby + " " + vbw + " " + vbh);
	
	$('svg line, svg polyline, svg polygon').attr('stroke-width',0.1/zoomlevel);
	//alert(vbax + " " + vbay + " " + vbbx + " " + vbby);
}

function CenterOn(pointx,pointy)
{
	//alert('Point ' + pointx + ", " + pointy);
	var width = (vbw);
	var height = (vbh);
	vbx = pointx - (width/2);
	vby = pointy - (height/2);
		
	$('#imagehost svg')[0].setAttribute('viewBox',vbx + " " + vby + " " + vbw + " " + vbh);
	
}

function MoveViewBy(pointx, pointy)
{
	vbx += pointx;
	vby += pointy;

	$('#imagehost svg')[0].setAttribute('viewBox',vbx + " " + vby + " " + vbw + " " + vbh);
}

function UpdateAll(evt)
{
	var ob = $('#imagehost svg');
	var off = ob[0].getBoundingClientRect();
	
	var x = evt.clientX - off.left;
	var y = evt.clientY - off.top;
	
	x *= ((vbw) / ob.width());
	y *= ((vbh) / ob.height());
	
	x+= vbx;
	y+= vby;
				
	$('#status').html('Mouse Position: ' + x + ", " + y );//"<br/><br/>" + vbx + ", " + vby + " - " + vbw + ", " + vbh);
}

function Configure()
{
	$('#imagehost svg').on("contextmenu", function(evt) {evt.preventDefault();});

	$('#imagehost svg').on('mouseup',function (evt) {
		if (evt.which > 1)
		{
			alert('Right Mouse');
			evt.preventDefault();
			return;
		}
		if (mousefunction == 0)
		{
			//Center
			var ob = $('#imagehost svg');
			var off = ob[0].getBoundingClientRect();
			
			var x = evt.clientX - off.left;
			var y = evt.clientY - off.top;
			
			x *= ((vbw) / ob.width());
			y *= ((vbh) / ob.height());
			
			x+= vbx;
			y+= vby;
	
			if (timing != 0)
			{
				timing = 0;
				clearTimeout(tmr);
				ZoomInOn(x,y,1.75);
			}
			else
			{
				var d = new Date();
				timing = d.getTime();
				tmr = setTimeout(function() {
					if (tmr != 0)
					{
						timing = 0;
						CenterOn(x,y);
					}
				},500);
			};
			
			mousex = evt.clientX;
			mousey = evt.clientY;
		}
		mousedown = false;
	});
	
	$('#imagehost svg').on('mousemove',function (evt) {
		UpdateAll(evt);
		if (mousedown == true)
		{
			if (mousefunction == 0)
			{
				if ((Math.abs(evt.clientX - mousex) > 5) || (Math.abs(evt.clientY - mousey) > 5))
				{
					mousefunction = 1;
				}
			}
			
			if (mousefunction == 1)
			{
				var ob = $('#imagehost svg');
				var off = ob.offset();
				
				var x = mousex - evt.clientX;
				var y = mousey - evt.clientY;
				if ((x != 0) || (y != 0))
				{
					x *= ((vbw) / ob.width());
					y *= ((vbh) / ob.height());
				
					MoveViewBy(x,y);
					mousex = evt.clientX;
					mousey = evt.clientY;
				}
			}
		}
	});
	
	$('#imagehost svg').on('mousedown',function (evt) {
		mousedown = true;
		mousefunction = 0;
		mousex = evt.clientX;
		mousey = evt.clientY;
	});
	
	$('#imagehost svg').bind('wheel', function(evt){
		evt.preventDefault();
		if (evt.originalEvent.deltaY != 0) {
			var ob = $('#imagehost svg');
			var off = ob[0].getBoundingClientRect();
			
			var x = evt.originalEvent.clientX - off.left;
			var y = evt.originalEvent.clientY - off.top;
			
			x *= ((vbw) / ob.width());
			y *= ((vbh) / ob.height());
			
			x+= vbx;
			y+= vby;
			
			ZoomInOn(x,y,1 - (evt.originalEvent.deltaY / 10));
		}
	});
}
</script>
